Bug 661436 - Review Request: rubygem-heroku - deploy apps to Heroku
Summary: Review Request: rubygem-heroku - deploy apps to Heroku
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Mamoru TASAKA
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-12-08 19:22 UTC by Minnikhanov
Modified: 2011-05-25 03:24 UTC (History)
4 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2011-05-25 02:31:10 UTC
mtasaka: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Minnikhanov 2010-12-08 19:22:03 UTC
Spec URL: https://github.com/minn/rubygem/blob/master/heroku/rubygem-heroku.spec
SRPM URL: https://github.com/minn/rubygem/blob/master/heroku/rubygem-heroku-1.14.8-1.fc14.src.rpm

Spec URL: https://github.com/minn/rubygem/blob/master/heroku/rubygem-launchy.spec
SRPM URL: https://github.com/minn/rubygem/blob/master/heroku/rubygem-launchy-0.3.7-1.fc14.src.rpm
Description: 
Hi. I just finished packaging up rubygem-heroku and rubygem-launchy, and I would appreciate a review so that I can get it into Fedora Extras. 

Heroku API - deploy apps to Heroku (http://heroku.com/) from the command line.
launchy - Runtime Dependencies for heroku.gem

Comment 1 David Riches 2010-12-10 16:14:04 UTC
*not a sponsor*, just some quick feedback

These packages really need to be separate bugzillas.

"License: GPLv2+ or Ruby" <- I think you should probably pick one

Also, quickly checking the src.rpm, with rpm -qpl I get

error: rubygem-heroku-1.14.8-1.fc14.src.rpm: not an rpm package (or package manifest)


Perhaps you might want to check this url?


Regards

Dave

Comment 2 Minnikhanov 2010-12-10 16:43:06 UTC
(In reply to comment #1)
> 
> Also, quickly checking the src.rpm, with rpm -qpl I get
> 
> error: rubygem-heroku-1.14.8-1.fc14.src.rpm: not an rpm package (or package
> manifest)
> 
> 
> Perhaps you might want to check this url?
> 

I check github's url.
Now I downloaded my srpm from github, check it by "rpm -qpl ..." - no error.  http://fpaste.org/YSwu/ 

[pkg@lhost heroku]$ ls
rubygem-heroku-1.14.6-1.fc14.src.rpm  rubygem-launchy-0.3.7-1.fc14.src.rpm
rubygem-heroku-1.14.8-1.fc14.src.rpm  rubygem-launchy.spec
rubygem-heroku.spec
[pkg@lhost heroku]$ rpm -qpl rubygem-heroku-1.14.8-1.fc14.src.rpm
heroku-1.14.8.gem
rubygem-heroku.spec
[pkg@lhost heroku]$ rpm -qpl rubygem-launchy-0.3.7-1.fc14.src.rpm
launchy-0.3.7.gem
rubygem-launchy.spec
[pkg@lhost heroku]$ ^C

Also check by rpmlint - no error.

Comment 3 Minnikhanov 2010-12-10 16:50:37 UTC
(In reply to comment #1)
> 
> "License: GPLv2+ or Ruby" <- I think you should probably pick one
> 

This generated by gem2rpm - I don't know which to pick.
Will anybody advice - what License is right.

Comment 4 Mamoru TASAKA 2010-12-10 17:48:52 UTC
Some notes:

* Unused macros
  - The defined macro %ruby_sitelib is used nowhere.
  - Please use the defined %geminstdir macro also in %files

* License
  - The license is MIT

* source URL
  - Please specify the full URL for Source0
    https://fedoraproject.org/wiki/Packaging/SourceURL

* BuildRoot
  - On Fedora BuildRoot line is no longer needed:
    https://fedoraproject.org/wiki/Packaging/Guidelines#BuildRoot_tag

* documents / -doc subpackage
  - Please consider to split document files (which are not
    needed on runtime) to -doc subpackage.
    The following files/directories can be moved to -doc subpackage
------------------------------------------------------
%{gemdir}/doc/%{gemname}-%{version}/
%{geminstdir}/spec/
------------------------------------------------------
  - Please mark %geminstdir/README.md as %doc correctly.

Comment 5 Minnikhanov 2010-12-12 12:26:12 UTC
(In reply to comment #0)
> 
> Spec URL:
> https://github.com/minn/rubygem/blob/master/heroku/rubygem-launchy.spec
> SRPM URL:
> https://github.com/minn/rubygem/blob/master/heroku/rubygem-launchy-0.3.7-1.fc14.src.rpm
> Description: 
> Hi. I just finished packaging up rubygem-heroku and rubygem-launchy, and I
> would appreciate a review so that I can get it into Fedora Extras. 
> 
> Heroku API - deploy apps to Heroku (http://heroku.com/) from the command line.
> launchy - Runtime Dependencies for heroku.gem


rubygem-launchy is already packaged for Fedora and also for EPEL.
Excuse me, I miss link 
http://koji.fedoraproject.org/koji/packageinfo?packageID=9756 .

I exclude "rubygem-launchy" from my github repo also.

Comment 6 Minnikhanov 2010-12-12 13:59:49 UTC
(In reply to comment #1)
 
> Also, quickly checking the src.rpm, with rpm -qpl I get
> 
> error: rubygem-heroku-1.14.8-1.fc14.src.rpm: not an rpm package (or package
> manifest)
> 
> 
> Perhaps you might want to check this url?
> 

Thise links can get by 'wget':
Spec URL:
http://dl.dropbox.com/u/14118661/rubygem-heroku.spec
SRPM URL:
http://dl.dropbox.com/u/14118661/rubygem-heroku-1.14.8-1.fc14.src.rpm

Links above follows to download page of full github's repo.

Comment 7 Minnikhanov 2010-12-12 14:02:50 UTC
(In reply to comment #0)
> Spec URL:
> https://github.com/minn/rubygem/blob/master/heroku/rubygem-heroku.spec
> SRPM URL:
> https://github.com/minn/rubygem/blob/master/heroku/rubygem-heroku-1.14.8-1.fc14.src.rpm
> 
Links above follows to download page of full github's repo.

Comment 8 Mamoru TASAKA 2010-12-13 17:31:51 UTC
So would you update your spec / srpm?

Comment 9 Minnikhanov 2010-12-13 18:31:33 UTC
(In reply to comment #8)
> So would you update your spec / srpm?

Yes, at both points - dropbox & github.

Comment 10 Minnikhanov 2010-12-13 18:34:37 UTC
(In reply to comment #4)
> Some notes:
> 
> * Unused macros
>   - The defined macro %ruby_sitelib is used nowhere.
>   - Please use the defined %geminstdir macro also in %files
> 
> * License
>   - The license is MIT
> 
> * source URL
>   - Please specify the full URL for Source0
>     https://fedoraproject.org/wiki/Packaging/SourceURL
> 
> * BuildRoot
>   - On Fedora BuildRoot line is no longer needed:
>     https://fedoraproject.org/wiki/Packaging/Guidelines#BuildRoot_tag
> 
> * documents / -doc subpackage
>   - Please consider to split document files (which are not
>     needed on runtime) to -doc subpackage.
>     The following files/directories can be moved to -doc subpackage
> ------------------------------------------------------
> %{gemdir}/doc/%{gemname}-%{version}/
> %{geminstdir}/spec/
> ------------------------------------------------------
>   - Please mark %geminstdir/README.md as %doc correctly.

Fix all notes.
Check doc-subpackage thoroughly - this my 1st subpackage. :-)

rpmlint - no error.
[pkg@lhost SPECS]$ rpmlint rubygem-heroku.spec
rubygem-heroku.spec: W: no-cleaning-of-buildroot %clean
rubygem-heroku.spec: W: no-buildroot-tag
rubygem-heroku.spec: W: no-%clean-section
0 packages and 1 specfiles checked; 0 errors, 3 warnings.
[pkg@lhost SPECS]$

rpmbuild  -ba rubygem-heroku.spec  - no error.

Wrote: /home/pkg/rpmbuild/SRPMS/rubygem-heroku-1.14.8-1.fc14.src.rpm
Wrote: /home/pkg/rpmbuild/RPMS/noarch/rubygem-heroku-1.14.8-1.fc14.noarch.rpm
Wrote:
/home/pkg/rpmbuild/RPMS/noarch/rubygem-heroku-doc-1.14.8-1.fc14.noarch.rpm
Executing(%clean): /bin/sh -e /var/tmp/rpm-tmp.PF0kb5
+ umask 022
+ cd /home/pkg/rpmbuild/BUILD
+ /bin/rm -rf /home/pkg/rpmbuild/BUILDROOT/rubygem-heroku-1.14.8-1.fc14.x86_64
+ exit 0
[pkg@lhost SPECS]$

Comment 13 Mamoru TASAKA 2010-12-16 19:59:41 UTC
For 1.14.10-1:

* Duplicate entries
  - build.log shows:
-------------------------------------------------
    62  warning: File listed twice: /usr/lib/ruby/gems/1.8/gems/heroku-1.14.10
    63  warning: File listed twice: /usr/lib/ruby/gems/1.8/gems/heroku-1.14.10/bin
    64  warning: File listed twice: /usr/lib/ruby/gems/1.8/gems/heroku-1.14.10/bin/heroku
    65  warning: File listed twice: /usr/lib/ruby/gems/1.8/gems/heroku-1.14.10/lib
    66  warning: File listed twice: /usr/lib/ruby/gems/1.8/gems/heroku-1.14.10/lib/heroku
    67  warning: File listed twice: /usr/lib/ruby/gems/1.8/gems/heroku-1.14.10/lib/heroku-postgresql
    68  warning: File listed twice: /usr/lib/ruby/gems/1.8/gems/heroku-1.14.10/lib/heroku-postgresql/client.rb
...
...
-------------------------------------------------
    Note that %files entry
-------------------------------------------------
%files
%{geminstdir}/
-------------------------------------------------
    contains the directory %geminstdir itself and all files/directories/etc
    under this directory, and this entry is now no longer needed.

* Documents
  - Please move README.md to main package (from -doc subpackage) because
    this file contains license information.


By the way are you already sponsored? If not, do you have
another review request submission?

Comment 14 Minnikhanov 2010-12-17 19:13:21 UTC
(In reply to comment #13)
> For 1.14.10-1:
> 
> * Duplicate entries
>   - build.log shows:
> -------------------------------------------------
>     62  warning: File listed twice: /usr/lib/ruby/gems/1.8/gems/heroku-1.14.10
>     63  warning: File listed twice:
> /usr/lib/ruby/gems/1.8/gems/heroku-1.14.10/bin
>     64  warning: File listed twice:
> /usr/lib/ruby/gems/1.8/gems/heroku-1.14.10/bin/heroku
>     65  warning: File listed twice:
> /usr/lib/ruby/gems/1.8/gems/heroku-1.14.10/lib
>     66  warning: File listed twice:
> /usr/lib/ruby/gems/1.8/gems/heroku-1.14.10/lib/heroku
>     67  warning: File listed twice:
> /usr/lib/ruby/gems/1.8/gems/heroku-1.14.10/lib/heroku-postgresql
>     68  warning: File listed twice:
> /usr/lib/ruby/gems/1.8/gems/heroku-1.14.10/lib/heroku-postgresql/client.rb
> ...
> ...
> -------------------------------------------------
>     Note that %files entry
> -------------------------------------------------
> %files
> %{geminstdir}/
> -------------------------------------------------
>     contains the directory %geminstdir itself and all files/directories/etc
>     under this directory, and this entry is now no longer needed.
> 
> * Documents
>   - Please move README.md to main package (from -doc subpackage) because
>     this file contains license information.
> 
> 
> By the way are you already sponsored? If not, do you have
> another review request submission?

Fix all notes.

Spec URL:
http://dl.dropbox.com/u/14118661/rubygem-heroku.spec
SRPM URL:
http://dl.dropbox.com/u/14118661/rubygem-heroku-1.14.10-1.fc14.src.rpm

At github (don't download by 'wget')
> Spec URL:
> https://github.com/minn/rubygem/blob/master/heroku/rubygem-heroku.spec
> SRPM URL:
> https://github.com/minn/rubygem/blob/master/heroku/rubygem-heroku-1.14.10-1.fc14.src.rpm

Comment 15 Mamoru TASAKA 2010-12-17 19:38:36 UTC
Please change release number in the spec file (if version does not
change) even if during review request to avoid confusion.

Comment 16 Minnikhanov 2010-12-17 19:44:42 UTC
(In reply to comment #13)
 
> By the way are you already sponsored? If not, do you have
> another review request submission?

I am not sponsored, I hope that will be. 
Next I'll plan to pack 
devise-1.0.9_20101209.gem - it is for rails ~>2.3  <3.
For run-time dependencies need warden.gem 
I want to use devise.gem in my rails app.

When I'll begin to build apps by hobo.gem, I'll hope to pack it.

Now I don't know what I must do else with rubygem-heroku. Is it enough for me in packaging heroku - make spec & src.rpm files?
Begin devise?

Comment 17 Minnikhanov 2010-12-17 19:54:14 UTC
(In reply to comment #15)
> Please change release number in the spec file (if version does not
> change) even if during review request to avoid confusion.

Fix it. URLs - Comment 14

Comment 18 Mamoru TASAKA 2010-12-17 20:10:46 UTC
srpms in both comment 12 and comment 14 have same EVR 1.14.10-1.fc14

Comment 19 Minnikhanov 2010-12-18 06:52:20 UTC
(In reply to comment #18)
> srpms in both comment 12 and comment 14 have same EVR 1.14.10-1.fc14

Spec URL:
http://dl.dropbox.com/u/14118661/rubygem-heroku.spec
SRPM URL:
http://dl.dropbox.com/u/14118661/rubygem-heroku-1.14.10-2.fc14.src.rpm

At github (don't download by 'wget')
> Spec URL:
> https://github.com/minn/rubygem/blob/master/heroku/rubygem-heroku.spec
> SRPM URL:
> https://github.com/minn/rubygem/blob/master/heroku/rubygem-heroku-1.14.10-2.fc14.src.rpm

Now I understand. 
Start point 'rubygem-heroku-1.14.10-2'.
Any change by Comment -> "Release :" =+ 1

Comment 20 Mamoru TASAKA 2010-12-18 07:46:45 UTC
(In reply to comment #16)
> (In reply to comment #13)
> 
> > By the way are you already sponsored? If not, do you have
> > another review request submission?
> 
> I am not sponsored, I hope that will be. 
> Next I'll plan to pack 
> devise-1.0.9_20101209.gem - it is for rails ~>2.3  <3.
> For run-time dependencies need warden.gem 
> I want to use devise.gem in my rails app.
> 
> When I'll begin to build apps by hobo.gem, I'll hope to pack it.

I am one of the sponsor members, however for sponsoring process [1]
it is appreciated if you package another srpm and submit it
for another review request.

rubygem-warden is submitted by another person (bug 663653)
By the way we are perhaps going to update rails to 3.0.x on
rawhide.

Comment 21 Minnikhanov 2010-12-18 09:20:55 UTC
Now hobo.gem have dependence rails ~>2.3  <3
For rails ~>2.3 need use devise-1.0.9.gem (major version devise-1.1.5)
For devise-1.0.9 need warden ~> 0.10.3 (https://rubygems.org/gems/devise/versions/1.0.9)

I pack warden-0.10.7 (already create spec & srpm), this is not major version.

Possible solution:
1. Offer "Vít Ondruch" (bug 663653) pack warden-0.10.7 & devise-1.0.9 (with major ver.1.1.5).
2. I can put him my 'warden-0.10.7.spec', if it is need. I generate it with template for gem2rpm. I can put also this template. ('heroku' I generate by this template also).
3. I may pack something for update rails to 3.0.x on rawhide, if you coordinate me. I read your last article in "Ruby SIG mailing list" Subject: Re: rails 3.0.x in F15.

Comment 22 Mamoru TASAKA 2010-12-18 19:25:09 UTC
(In reply to comment #19)
> Spec URL:
> http://dl.dropbox.com/u/14118661/rubygem-heroku.spec
> SRPM URL:
> http://dl.dropbox.com/u/14118661/rubygem-heroku-1.14.10-2.fc14.src.rpm
> 

Does not build...
http://koji.fedoraproject.org/koji/taskinfo?taskID=2675006

(In reply to comment #21)
> Now hobo.gem have dependence rails ~>2.3  <3
> For rails ~>2.3 need use devise-1.0.9.gem (major version devise-1.1.5)
> For devise-1.0.9 need warden ~> 0.10.3
> (https://rubygems.org/gems/devise/versions/1.0.9)

- I checked hobo 1.0.2 quickly and it doesn't seem to have dependency
  for devise (at least directly). Would you explain why hobo 1.0.2
  need devise 1.0.9?

  Also the current latest hobo (beta) version seems 1.3.0.pre24 and this
  seems to be for rails 3.0.x. Would you check this?

> I pack warden-0.10.7 (already create spec & srpm), this is not major version.
> 
> Possible solution:
> 1. Offer "Vít Ondruch" (bug 663653) pack warden-0.10.7 & devise-1.0.9 (with
> major ver.1.1.5).
> 2. I can put him my 'warden-0.10.7.spec', if it is need. I generate it with
> template for gem2rpm. I can put also this template. ('heroku' I generate by
> this template also).
> 3. I may pack something for update rails to 3.0.x on rawhide, if you coordinate
> me. I read your last article in "Ruby SIG mailing list" Subject: Re: rails
> 3.0.x in F15.

- Usually Fedora packages softwares with latest version only, and
  packaging warden 0.10.7 is usually not an option (unless
  hobo 1.0.2 does not really suport warden 1.0.x and you really
  need hobo 1.0.2, not 1.3.x). If you really want warden 0.10.7
  you have to submit review request for warden 0.10.7 with different
  srpm name (e.g. rubygem-warden-0). Would you tell me your opinion?

Comment 23 Minnikhanov 2010-12-19 17:35:30 UTC
(In reply to comment #22)
> (In reply to comment #19)
> > Spec URL:
> > http://dl.dropbox.com/u/14118661/rubygem-heroku.spec
> > SRPM URL:
> > http://dl.dropbox.com/u/14118661/rubygem-heroku-1.14.10-2.fc14.src.rpm
> > 
> 
> Does not build...
> http://koji.fedoraproject.org/koji/taskinfo?taskID=2675006
> 

I see build.log of this task - build failed.
I place /.yardoc into -doc subpackage - I was not right :-(
I improve that, shift '/.yardoc' into main package and create next release (rubygem-heroku-1.14.10-3.fc14.src.rpm)

Must I check myself by 'mock'? 
Before place this Review Request I started to run, at one time, 
'mock -r fedora-14-x86_64 rebuild ../SRPMS/rubygem-heroku*.rpm'
 after successful
rpmlint rubygem-heroku.spec ../RPMS/*/rubygem-heroku*.rpm ../SRPMS/rubygem-heroku*.rpm

It run a lot of time, more than 5min, I did not wait responses and close it.
Internet was open when 'mock' was running.

Comment 24 Mamoru TASAKA 2010-12-19 18:10:11 UTC
(In reply to comment #23)

> Must I check myself by 'mock'? 
> Before place this Review Request I started to run, at one time, 
> 'mock -r fedora-14-x86_64 rebuild ../SRPMS/rubygem-heroku*.rpm'
>  after successful
> rpmlint rubygem-heroku.spec ../RPMS/*/rubygem-heroku*.rpm
> ../SRPMS/rubygem-heroku*.rpm

- Checking if your srpm builds with mock is preferable,
  and once you gets sponsored you can use koji scratch build
  instead. And anyway I check srpms in review requests
  with koji scratch build by myself so that I can tell the submitter
  the result of build test.

Comment 25 Minnikhanov 2010-12-20 20:22:24 UTC
(In reply to comment #23)
> > 
> > Does not build...
> > http://koji.fedoraproject.org/koji/taskinfo?taskID=2675006
> > 
> 
> I see build.log of this task - build failed.
> I place /.yardoc into -doc subpackage - I was not right :-(
> I improve that, shift '/.yardoc' into main package and create next release
> (rubygem-heroku-1.14.10-3.fc14.src.rpm)
> 

http://koji.fedoraproject.org/koji/taskinfo?taskID=2678768 - this I build from my old 1st spec, without doc-subpackage. No error.

I try to check 'rpmbuild bb ...' by interupted (Ctrl-C) - '/.yardoc' disappeared.
When I exclude '/.yardoc' from %files, 'rpmbuild bb ...' interupted by error.
Something wrong on define doc-subpackage.

'rpmbuild bb ...' clear all subfolder ~/rpmbuild. I don't find options for prevent this clear. Do you know about that?

Will you route me to right way.

Comment 26 Minnikhanov 2010-12-21 19:21:31 UTC
(In reply to comment #23)
> > 
> > Does not build...
> > http://koji.fedoraproject.org/koji/taskinfo?taskID=2675006
> > 
> 
> I see build.log of this task - build failed.

Fix it.

http://koji.fedoraproject.org/koji/taskinfo?taskID=2681968 
koji scratch build successful.

Spec URL:
http://dl.dropbox.com/u/14118661/rubygem-heroku.spec
SRPM URL:
http://dl.dropbox.com/u/14118661/rubygem-heroku-1.14.10-3.fc14.src.rpm

Just will make heroku-1.15.

Comment 27 Minnikhanov 2010-12-21 19:53:17 UTC
(In reply to comment #23)
> > 
> > Does not build...
> > http://koji.fedoraproject.org/koji/taskinfo?taskID=2675006
> > 
> 
> I see build.log of this task - build failed.

Fix it.

http://koji.fedoraproject.org/koji/taskinfo?taskID=2681968 
koji scratch build successful.

Spec URL:
http://dl.dropbox.com/u/14118661/rubygem-heroku.spec
SRPM URL:
http://dl.dropbox.com/u/14118661/rubygem-heroku-1.14.10-3.fc14.src.rpm

Just will make heroku-1.15.

Comment 28 Minnikhanov 2010-12-21 20:06:54 UTC
heroku-1.15.0 20/12/2010

http://koji.fedoraproject.org/koji/taskinfo?taskID=2682457
koji scratch build successful.

Spec URL:
http://dl.dropbox.com/u/14118661/rubygem-heroku.spec
SRPM URL:
http://dl.dropbox.com/u/14118661/rubygem-heroku-1.15.0-3.fc14.src.rpm

Will you tell, what I should build next?

Comment 22 I'll answer about hobo etc. late.

Comment 29 Mamoru TASAKA 2010-12-22 19:47:37 UTC
For rubygem-heroku side, one comment

- Please put one line between each %changelog entry (because
  it is useful when using Fedora git system) like:
---------------------------------------------------
* Tue Dec 21 2010  <Minnikhanov@gmail.com> - 1.15.0-1
- Initial package

* Thu Dec 21 2010  <Minnikhanov@gmail.com> - 1.14.10-3
- Fix Comment 23 #661436 (Review Request)
- Remove '/.yardoc'.

* Thu Dec 18 2010  <Minnikhanov@gmail.com> - 1.14.10-2
- Fix Comment 18 #661436 (Review Request)
- Set Release: 2
---------------------------------------------------

Comment 30 Mamoru TASAKA 2010-12-22 19:49:18 UTC
-------------------------------------------------------------
NOTE: Before being sponsored:

This package will be accepted with another few (or no) work. 
But before I accept this package, someone (I am a candidate) 
must sponsor you.

Once you are sponsored, you have the right to review other 
submitters' review requests and approve the packages formally. 
For this reason, the person who want to be sponsored (like you) 
are required to "show that you have an understanding 
of the process and of the packaging guidelines" as is described
on :
http://fedoraproject.org/wiki/PackageMaintainers/HowToGetSponsored

Usually there are two ways to show this.
A. submit other review requests with enough quality.
B. Do a "pre-review" of other person's review request
   (at the time you are not sponsored, you cannot do
   a formal review)

When you have submitted a new review request or have pre-reviewed other 
person's review request, please write the bug number on this bug report 
so that I can check your comments or review request.

Fedora package collection review requests which are waiting for someone to
review can be checked on my wiki page:
http://fedoraproject.org/wiki/User:Mtasaka#B._Review_request_tickets
(Check "No one is reviewing")

Review guidelines are described mainly on:
http://fedoraproject.org/wiki/Packaging/ReviewGuidelines
http://fedoraproject.org/wiki/Packaging/Guidelines
http://fedoraproject.org/wiki/Packaging/ScriptletSnippets
------------------------------------------------------------


!! If you are interested in ruby related things, packaging one
   more rubygem based packages makes sponsoring process faster.

Comment 31 Minnikhanov 2010-12-23 20:14:39 UTC
(In reply to comment #29)
> For rubygem-heroku side, one comment
> 
> - Please put one line between each %changelog entry (because
>   it is useful when using Fedora git system) like:
> ---------------------------------------------------
> * Tue Dec 21 2010  <Minnikhanov@gmail.com> - 1.15.0-1
> - Initial package
> 
> * Thu Dec 21 2010  <Minnikhanov@gmail.com> - 1.14.10-3
> - Fix Comment 23 #661436 (Review Request)
> - Remove '/.yardoc'.
> 
> * Thu Dec 18 2010  <Minnikhanov@gmail.com> - 1.14.10-2
> - Fix Comment 18 #661436 (Review Request)
> - Set Release: 2
> ---------------------------------------------------
Fix it.

Spec URL:
http://dl.dropbox.com/u/14118661/rubygem-heroku.spec
SRPM URL:
http://dl.dropbox.com/u/14118661/rubygem-heroku-1.15.0-2.fc14.src.rpm

Comment 32 Minnikhanov 2010-12-24 14:28:19 UTC
heroku.gem have Runtime Dependencies = launchy ~> 0.3.2

Now my template generate
Requires: rubygem(launchy) >= 0.3.2

 Is need to generate 2 Requires?
Sample:
Requires: rubygem(launchy) >= 0.3.2
Requires: rubygem(launchy) < 0.4

Common algorithm:
versions = a.b.c.d
versions =~ /\d+(\.\d*)*/

1. Runtime Dependencies = <GEM> ~> a.b.c.d
generate:
Requires: rubygem(<GEM>) >= a.b.c.d
Requires: rubygem(<GEM>) < a.b.<c+1>

2. Runtime Dependencies = <GEM> ~> a.b.c.
generate:
Requires: rubygem(<GEM>) >= a.b.c   - is need here last <dot> (a.b.c.)
Requires: rubygem(<GEM>) < a.b.<c+1>

3. Runtime Dependencies = <GEM> ~> a.
   Runtime Dependencies = <GEM> ~> a
generate:
Requires: rubygem(<GEM>) >= a   - is need here last <dot> (a.)
Requires: rubygem(<GEM>) < <a+1>

4. Runtime Dependencies = <GEM> ~>
generate:
Requires: rubygem(<GEM>) >= 0
Requires: rubygem(<GEM>) < 1

Comment 33 Minnikhanov 2010-12-24 14:38:00 UTC
heroku.gem have spec/ folder.

Is need to realize %check section?
Like that
#%check
#pushd %{buildroot}/%{geminstdir}
#%_bindir/spec spec
#popd

Comment 35 Mamoru TASAKA 2010-12-25 16:44:42 UTC
Well,

(In reply to comment #32)
> heroku.gem have Runtime Dependencies = launchy ~> 0.3.2
> 
> Now my template generate
> Requires: rubygem(launchy) >= 0.3.2
> 
>  Is need to generate 2 Requires?
> Sample:
> Requires: rubygem(launchy) >= 0.3.2
> Requires: rubygem(launchy) < 0.4

- Usually we write "Requires: rubygem(launchy) >= 0.3.2" part
  only, however technically writing also 
  "Requires: rubygem(launchy) < 0.4" is not wrong (according to
  rubygem's dependency format).

  I asked on fedora-packaging mailing list how people think about
  writing both Requires (especially for writing "lower" Requires):
  http://lists.fedoraproject.org/pipermail/packaging/2010-November/007501.html

  ... and got no answer, so for now I think that you can write
  "Requires: rubygem(launchy) < 0.4" also _if you want_. 


(In reply to comment #33)
> heroku.gem have spec/ folder.
> 
> Is need to realize %check section?
> Like that
> #%check
> #pushd %{buildroot}/%{geminstdir}
> #%_bindir/spec spec
> #popd

- Yes, it is preferable, however for this gem $ spec spec/
  needs webmock gem, which is not in Fedora and currently review
  request for rubygem-webmock does not exist either (once
  existed but it was closed unfinished: bug 588477)

  If you use rubygem-webmock you can package the srpm for Fedora.

Comment 36 Mamoru TASAKA 2010-12-27 17:30:04 UTC
Okay.

---------------------------------------------------------
    This package (rubygem-heroku) is APPROVED by
    mtasaka
---------------------------------------------------------

Please follow the procedure written on:
http://fedoraproject.org/wiki/PackageMaintainers/Join
from "Add Package to Source Code Management (SCM) system and Set Owner"

Now I am sponsoring you.

If you want to import this package into Fedora 13/14, you also have
to look at
http://fedoraproject.org/wiki/Infrastructure/UpdatesSystem/Bodhi-info-DRAFT
(after once you rebuilt this package on koji Fedora rebuilding system).

When using Fedora SCM system, please check below for reference:
http://fedoraproject.org/wiki/Using_Fedora_GIT

If you have questions, please ask me.

Comment 37 Minnikhanov 2010-12-31 19:20:20 UTC
Thank you for the review.

Comment 38 Minnikhanov 2010-12-31 19:25:37 UTC
New Package SCM Request
=======================
Package Name: rubygem-heroku
Short Description: Deploy apps to Heroku
Owners: minn
Branches: f13 f14
InitialCC:

Comment 39 Minnikhanov 2011-01-01 13:53:36 UTC
(In reply to comment #35)
> (In reply to comment #33)
> > heroku.gem have spec/ folder.
> > 
> > Is need to realize %check section?
> > Like that
> > #%check
> > #pushd %{buildroot}/%{geminstdir}
> > #%_bindir/spec spec
> > #popd
> 
> - Yes, it is preferable, however for this gem $ spec spec/
>   needs webmock gem, which is not in Fedora and currently review
>   request for rubygem-webmock does not exist either (once
>   existed but it was closed unfinished: bug 588477)
> 
>   If you use rubygem-webmock you can package the srpm for Fedora.

webmock gem have Runtime Dependencies addressable >= 2.2.2
addressable.gem is not in Fedora, all it's Runtime Dependencies there are in Fedora. 'httpclient.gem' is development dependency for addressable.gem

Is it possible to offer Adam Young (bug 588477) return to pack rubygem-webmock and to pack rubygem-addressable also?

Comment 40 Kevin Fenzi 2011-01-02 20:14:17 UTC
Git done (by process-git-requests).

Comment 41 Fedora Update System 2011-01-03 21:28:13 UTC
rubygem-heroku-1.15.1-1.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/rubygem-heroku-1.15.1-1.fc13

Comment 42 Fedora Update System 2011-01-03 21:28:20 UTC
rubygem-heroku-1.15.1-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/rubygem-heroku-1.15.1-1.fc14

Comment 43 Fedora Update System 2011-01-04 20:58:46 UTC
rubygem-heroku-1.15.1-1.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update rubygem-heroku'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/rubygem-heroku-1.15.1-1.fc14

Comment 44 Fedora Update System 2011-01-08 20:46:54 UTC
rubygem-heroku-1.16.2-1.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/rubygem-heroku-1.16.2-1.fc13

Comment 45 Fedora Update System 2011-01-08 20:47:01 UTC
rubygem-heroku-1.16.2-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/rubygem-heroku-1.16.2-1.fc14

Comment 46 Fedora Update System 2011-01-13 16:55:46 UTC
rubygem-heroku-1.17.5-1.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/rubygem-heroku-1.17.5-1.fc13

Comment 47 Fedora Update System 2011-01-13 16:55:53 UTC
rubygem-heroku-1.17.5-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/rubygem-heroku-1.17.5-1.fc14

Comment 48 Fedora Update System 2011-04-10 07:39:49 UTC
rubygem-heroku-1.20.1-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/rubygem-heroku-1.20.1-1.fc14

Comment 49 Fedora Update System 2011-04-23 05:22:41 UTC
rubygem-heroku-1.20.1-2.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/rubygem-heroku-1.20.1-2.fc14

Comment 50 Fedora Update System 2011-04-23 05:22:51 UTC
rubygem-heroku-1.20.1-2.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/rubygem-heroku-1.20.1-2.fc13

Comment 51 Fedora Update System 2011-04-23 05:22:59 UTC
rubygem-heroku-1.20.1-2.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/rubygem-heroku-1.20.1-2.fc15

Comment 52 Fedora Update System 2011-05-01 19:37:30 UTC
rubygem-heroku-2.0.4-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/rubygem-heroku-2.0.4-1.fc14

Comment 53 Fedora Update System 2011-05-01 19:37:40 UTC
rubygem-heroku-2.0.4-1.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/rubygem-heroku-2.0.4-1.fc13

Comment 54 Fedora Update System 2011-05-01 19:37:48 UTC
rubygem-heroku-2.0.4-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/rubygem-heroku-2.0.4-1.fc15

Comment 55 Fedora Update System 2011-05-25 02:31:04 UTC
rubygem-heroku-2.0.4-1.fc13 has been pushed to the Fedora 13 stable repository.

Comment 56 Fedora Update System 2011-05-25 03:01:54 UTC
rubygem-heroku-2.0.4-1.fc14 has been pushed to the Fedora 14 stable repository.

Comment 57 Fedora Update System 2011-05-25 03:24:42 UTC
rubygem-heroku-2.0.4-1.fc15 has been pushed to the Fedora 15 stable repository.


Note You need to log in before you can comment on or make changes to this bug.